Bug 217581 - graphics/gdal Configure test for poppler fails
Summary: graphics/gdal Configure test for poppler fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-06 10:57 UTC by Erik Gustafson
Modified: 2017-04-01 10:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Gustafson 2017-03-06 10:57:02 UTC
Configure-script does not find poppler, -I/usr/local is missing in compiler flags when testing for poppler support.


PORTVERSON_GDAL=2.1.13
PORTVERSION_POPPLER=0.50.0

In the output from configure:
  Poppler support:           no


The following update to graphics/gdal/Makefile helps:
POPPLER_CONFIGURE_OFF=  --with-poppler=no
POPPLER_CONFIGURE_ON=   --with-poppler=/usr/local/
POPPLER_LIB_DEPENDS=    libpoppler.so:graphics/poppler

instead of:
POPPLER_CONFIGURE_WITH= poppler
POPPLER_LIB_DEPENDS=    libpoppler.so:graphics/poppler


If gdal is build without poppler:
gdalinfo --formats | grep PDF
> PDF -raster,vector- (w+): Geospatial PDF

GDAL build with poppler:
gdalinfo --formats | grep PDF
> PDF -raster,vector- (rw+vs): Geospatial PDF
Comment 1 commit-hook freebsd_committer 2017-03-26 21:25:18 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 26 21:24:11 UTC 2017
New revision: 436993
URL: https://svnweb.freebsd.org/changeset/ports/436993

Log:
  Fix POPPLER option

  - Bump PORTREVISION for package change

  PR:		217581
  Submitted by:	Erik Gustafson <gustafson.erik+fbsdbugzilla@gmail.com>
  MFH:		2017Q1

Changes:
  head/graphics/gdal/Makefile
Comment 2 Po-Chuan Hsieh freebsd_committer 2017-03-27 11:30:48 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2017-04-01 10:10:09 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Apr  1 10:09:24 UTC 2017
New revision: 437405
URL: https://svnweb.freebsd.org/changeset/ports/437405

Log:
  MFH: r436993 r437023

  Fix POPPLER option

  - Bump PORTREVISION for package change

  PR:		217581
  Submitted by:	Erik Gustafson <gustafson.erik+fbsdbugzilla@gmail.com>

  Use POPPLER_CONFIGURE_WITH

  Notified by:	mat

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/graphics/gdal/Makefile